PyHearing - Segnalazione #12

Evitare prenotazioni multiple
10/08/2013 01:43 PM - Christopher R. Gabriel

Status: Chiuso Start date: 10/08/2013
Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Resolution: fixed

Description

Se vado su http://localhost:8000/hearings/book_appointment/11 ( 11 per esempio, qualunque altro) vedo le giornate disponibili per
cui mi posso prenotare, ma vedo anche quelle dove sono gia' prenotato, quindi possono prenotarmi due volte per lo stesso
appuntamento.

QUando mostro I'elenco delle disponibilita’, nel caso in cui sia gia' prenotato per quel giorno, invece del pulsante "Prenota” mostrare
una label con "Ti sei gia' prenotato” o simili.

Associated revisions

Revision 73771¢55 - 10/08/2013 03:57 PM - Mark Caglienzi

Avoid double appointments creation. refs #12

Revision 41d7b64d - 10/08/2013 04:01 PM - Mark Caglienzi

Don't consider old appointments. refs #12

Revision 49dea64b - 10/09/2013 11:07 AM - Mark Caglienzi

Correct behaviour for "Already booked" label. refs #12

History

#1 - 10/08/2013 04:03 PM - Mark Caglienzi
- Status changed from Nuovo to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Fatto nel commit 41d7b64d

e Aggiunto un metodo di Parent che restituisce una lista di Teacher con cui si € prenotato (che considera solo gli appuntamenti da oggi in poi)
* Blocco {% if %} nel template parent.html per decidere se visualizzare un bottone di prenotazione o un messaggio "Already booked".

#2 - 10/08/2013 10:07 PM - Christopher R. Gabriel
- Status changed from Commenti to In elaborazione

- Assignee changed from Christopher R. Gabriel to Mark Caglienzi

No, la soluzione non €' a posto: "Already booked" me lo deve dare sulla lista delle disponibilita’ di un singolo docente: adesso invece se voglio
prenotare per domani E anche per novembre, non posso. Mi devi dire "already booked" solo per i giorni in cui ho prenotato, non per quel docente in
tutto il futuro. Ti torna? Quindi all'URL che citavo nel ticket, non in /hearings/parent

#3 - 10/09/2013 11:14 AM - Mark Caglienzi

- Status changed from In elaborazione to Commenti
http://localhost:8000/hearings/book_appointment/11
https://work.fuss.bz.it/projects/pyhearing/repository/40/revisions/41d7b64dcab25e34509b72543655c7b9c78a50a6

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Si giusto,avevo sbagliato io, corretto nel commit 49dea64b
Adesso ¢ possibile prenotarsi a piu di un ricevimento con lo stesso docente, in data diversa.

#4 - 10/09/2013 11:18 AM - Christopher R. Gabriel
- Status changed from Commenti to Chiuso

- Resolution set to fixed

Verificato, ok.
